package com.kamco.cd.training.postgres.repository.schedule;

import java.util.List;

public interface ModelTrainMetricsJobRepositoryCustom {

  List<Long> getTrainMetricSaveNotYetModelIds();

  void insertModelMetricsTrain(List<Object[]> batchArgs);

  void updateModelMetricsTrainSaveYn(Long modelId, String stepNo);

  void insertModelMetricsValidation(List<Object[]> batchArgs);
}
